RHEL 8 : java-11-openjdk (RHSA-2022:0185)

medium Nessus Plugin ID 157053

Synopsis

The remote Red Hat host is missing one or more security updates.

Description

The remote Redhat Enterprise Linux 8 host has packages installed that are affected by multiple vulnerabilities as referenced in the RHSA-2022:0185 advisory.

- OpenJDK: Incomplete deserialization class filtering in ObjectInputStream (Serialization, 8264934) (CVE-2022-21248)

- OpenJDK: Incorrect reading of TIFF files in TIFFNullDecompressor (ImageIO, 8270952) (CVE-2022-21277)

- OpenJDK: Insufficient URI checks in the XSLT TransformerImpl (JAXP, 8270492) (CVE-2022-21282)

- OpenJDK: Unexpected exception thrown in regex Pattern (Libraries, 8268813) (CVE-2022-21283)

- OpenJDK: Incorrect marking of writeable fields (Hotspot, 8270386) (CVE-2022-21291)

- OpenJDK: Incomplete checks of StringBuffer and StringBuilder during deserialization (Libraries, 8270392) (CVE-2022-21293)

- OpenJDK: Incorrect IdentityHashMap size checks during deserialization (Libraries, 8270416) (CVE-2022-21294)

- OpenJDK: Incorrect access checks in XMLEntityManager (JAXP, 8270498) (CVE-2022-21296)

- OpenJDK: Infinite loop related to incorrect handling of newlines in XMLEntityScanner (JAXP, 8270646) (CVE-2022-21299)

- OpenJDK: Array indexing issues in LIRGenerator (Hotspot, 8272014) (CVE-2022-21305)

- OpenJDK: Excessive resource use when reading JAR manifest attributes (Libraries, 8272026) (CVE-2022-21340)

- OpenJDK: Insufficient checks when deserializing exceptions in ObjectInputStream (Serialization, 8272236) (CVE-2022-21341)

- OpenJDK: Excessive memory allocation in BMPImageReader (ImageIO, 8273756) (CVE-2022-21360)

- OpenJDK: Integer overflow in BMPImageReader (ImageIO, 8273838) (CVE-2022-21365)

- OpenJDK: Excessive memory allocation in TIFF*Decompressor (ImageIO, 8274096) (CVE-2022-21366)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

https://access.redhat.com/security/cve/CVE-2022-21248

https://access.redhat.com/security/cve/CVE-2022-21277

https://access.redhat.com/security/cve/CVE-2022-21282

https://access.redhat.com/security/cve/CVE-2022-21283

https://access.redhat.com/security/cve/CVE-2022-21291

https://access.redhat.com/security/cve/CVE-2022-21293

https://access.redhat.com/security/cve/CVE-2022-21294

https://access.redhat.com/security/cve/CVE-2022-21296

https://access.redhat.com/security/cve/CVE-2022-21299

https://access.redhat.com/security/cve/CVE-2022-21305

https://access.redhat.com/security/cve/CVE-2022-21340

https://access.redhat.com/security/cve/CVE-2022-21341

https://access.redhat.com/security/cve/CVE-2022-21360

https://access.redhat.com/security/cve/CVE-2022-21365

https://access.redhat.com/security/cve/CVE-2022-21366

https://access.redhat.com/errata/RHSA-2022:0185

https://bugzilla.redhat.com/2041400

https://bugzilla.redhat.com/2041417

https://bugzilla.redhat.com/2041427

https://bugzilla.redhat.com/2041435

https://bugzilla.redhat.com/2041439

https://bugzilla.redhat.com/2041472

https://bugzilla.redhat.com/2041479

https://bugzilla.redhat.com/2041491

https://bugzilla.redhat.com/2041785

https://bugzilla.redhat.com/2041789

https://bugzilla.redhat.com/2041801

https://bugzilla.redhat.com/2041831

https://bugzilla.redhat.com/2041878

https://bugzilla.redhat.com/2041884

https://bugzilla.redhat.com/2041897

Plugin Details

Severity: Medium

ID: 157053

File Name: redhat-RHSA-2022-0185.nasl

Version: 1.6

Type: local

Agent: unix

Published: 1/25/2022

Updated: 9/22/2022

Supported Sensors: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

Risk Information

VPR

Risk Factor: Low

Score: 2.9

CVSS v2

Risk Factor: Medium

Base Score: 5

Temporal Score: 3.7

Vector: AV:N/AC:L/Au:N/C:N/I:P/A:N

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2022-21291

CVSS v3

Risk Factor: Medium

Base Score: 5.3

Temporal Score: 4.6

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:redhat:enterprise_linux:8, cpe:/o:redhat:rhel_aus:8.6, cpe:/o:redhat:rhel_e4s:8.6, cpe:/o:redhat:rhel_eus:8.6, cpe:/o:redhat:rhel_tus:8.6, p-cpe:/a:redhat:enterprise_linux:java-11-openjdk, p-cpe:/a:redhat:enterprise_linux:java-11-openjdk-demo, p-cpe:/a:redhat:enterprise_linux:java-11-openjdk-demo-fastdebug, p-cpe:/a:redhat:enterprise_linux:java-11-openjdk-demo-slowdebug, p-cpe:/a:redhat:enterprise_linux:java-11-openjdk-devel, p-cpe:/a:redhat:enterprise_linux:java-11-openjdk-devel-fastdebug, p-cpe:/a:redhat:enterprise_linux:java-11-openjdk-devel-slowdebug, p-cpe:/a:redhat:enterprise_linux:java-11-openjdk-fastdebug, p-cpe:/a:redhat:enterprise_linux:java-11-openjdk-headless, p-cpe:/a:redhat:enterprise_linux:java-11-openjdk-headless-fastdebug, p-cpe:/a:redhat:enterprise_linux:java-11-openjdk-headless-slowdebug, p-cpe:/a:redhat:enterprise_linux:java-11-openjdk-javadoc, p-cpe:/a:redhat:enterprise_linux:java-11-openjdk-javadoc-zip, p-cpe:/a:redhat:enterprise_linux:java-11-openjdk-jmods, p-cpe:/a:redhat:enterprise_linux:java-11-openjdk-jmods-fastdebug, p-cpe:/a:redhat:enterprise_linux:java-11-openjdk-jmods-slowdebug, p-cpe:/a:redhat:enterprise_linux:java-11-openjdk-slowdebug, p-cpe:/a:redhat:enterprise_linux:java-11-openjdk-src, p-cpe:/a:redhat:enterprise_linux:java-11-openjdk-src-fastdebug, p-cpe:/a:redhat:enterprise_linux:java-11-openjdk-src-slowdebug, p-cpe:/a:redhat:enterprise_linux:java-11-openjdk-static-libs, p-cpe:/a:redhat:enterprise_linux:java-11-openjdk-static-libs-fastdebug, p-cpe:/a:redhat:enterprise_linux:java-11-openjdk-static-libs-slowdebug

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 1/24/2022

Vulnerability Publication Date: 1/18/2022

Reference Information

CVE: CVE-2022-21248, CVE-2022-21277, CVE-2022-21282, CVE-2022-21283, CVE-2022-21291, CVE-2022-21293, CVE-2022-21294, CVE-2022-21296, CVE-2022-21299, CVE-2022-21305, CVE-2022-21340, CVE-2022-21341, CVE-2022-21360, CVE-2022-21365, CVE-2022-21366

RHSA: 2022:0185

IAVA: 2022-A-0031-S

CWE: 20, 190, 200, 248, 502, 770, 787, 835